> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 实时 ChatGPT LLM 抓取工具 API HTML

> Live ChatGPT LLM Scraper API HTML 为指定的关键词、语言和位置提供结果的原始 HTML 页面。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/ai_optimization/chat_gpt/llm_scraper/live/html
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/ai_optimization/chat_gpt/llm_scraper/live/html:
    post:
      summary: 实时 ChatGPT LLM 抓取工具 API HTML
      description: Live ChatGPT LLM Scraper API HTML 为指定的关键词、语言和位置提供结果的原始 HTML 页面。
      operationId: post_dataforseo_ai_optimization_chat_gpt_llm_scraper_live_html
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                  description: >-
                    keyword 必填字段。您可以在 keyword 字段中指定最多 2000 个字符。所有 %##
                    都将被解码（加号字符“+”将被解码为空格字符）。如果需要在关键词中使用“%”字符，请将其指定为“%25”；如果需要在关键词中使用“+”字符，请将其指定为“%2B”。有关
                    DataForSEO API 中 keyword 和 keywords 字段的规则与限制的更多信息，请参阅此帮助中心文章
                location_name:
                  type: string
                  description: >-
                    搜索引擎位置的完整名称；如果未指定 location_code，则为必填字段；如果使用此字段，则无需指定
                    location_code；您可以通过向
                    https://api.dataforseo.com/v3/ai_optimization/{{low_se_name}}/locations
                    单独发出请求，获取搜索引擎可用位置及其 location_name 的列表；示例：United States
                location_code:
                  type: integer
                  description: >-
                    搜索引擎位置代码。如果未指定 location_name，则为必填字段。如果使用此字段，则无需指定
                    location_name。您可以通过向
                    https://api.dataforseo.com/v3/ai_optimization/{{low_se_name}}/{{low_se_type}}/locations
                    单独发送请求，获取包含 location_code 的搜索引擎可用位置列表。示例：2840
                language_name:
                  type: string
                  description: >-
                    搜索引擎语言的完整名称。如果未指定 language_code，则为必填字段。如果使用此字段，则无需指定
                    language_code。可通过向
                    https://api.dataforseo.com/v3/ai_optimization/{{low_se_name}}/{{low_se_type}}/languages
                    单独发送请求，获取搜索引擎的可用语言及其 language_name。示例：English
                language_code:
                  type: string
                  description: >-
                    搜索引擎语言代码。如果未指定 language_name，则此字段为必填字段。如果使用此字段，则无需指定
                    language_name。您可以单独向
                    https://api.dataforseo.com/v3/ai_optimization/{{low_se_name}}/{{low_se_type}}/languages
                    发出请求，以获取搜索引擎可用语言及其 language_code_ 的列表。示例：enn
                force_web_search:
                  type: boolean
                  description: >-
                    强制 AI 智能体使用网页搜索 可选字段 启用后，将强制 AI
                    模型访问并引用当前网页信息；默认值：false；注意：即使将该参数设置为 true，也不能保证响应中会引用网页来源
                expand_citations:
                  type: boolean
                  description: >-
                    在 HTML 结果中返回展开的引用栏；可选字段；要启用此参数，还必须启用
                    force_web_search；启用后，端点将返回展开引用栏中的 HTML 数据；默认值：false
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keyword
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.keyword:
                    type: string
                    description: 在 POST 数组中接收的 keyword 将在解码 %## 后返回（加号字符“+”将被解码为空格字符）
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.datetime:
                    type: string
                    description: >-
                      以 UTC 格式接收结果的日期和时间：“yyyy-mm-dd hh-mm-ss
                      +00:00”，示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 找到的搜索结果元素数量
                  tasks.result.items.page:
                    type: integer
                    description: 返回的 HTML 页面的序号
                  tasks.result.items.date:
                    type: string
                    description: >-
                      扫描 HTML
                      页面的日期和时间，格式：“year-month-date:minutes:UTC_difference_hours:UTC_difference_minutes”，示例：2019-11-15
                      12:57:46 +00:00
                  tasks.result.items.html:
                    type: string
                    description: HTML 页面
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````